Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# ColorBlendAttrib Class Reference

This specifies how colors are blended into the frame buffer, for special effects. More...

Inheritance diagram for ColorBlendAttrib:

List of all members.

## Public Types
enum | Mode { MNone = 0, MAdd = 1, MSubtract = 2, MInvSubtract = 3, MMin = 4, MMax = 5 }
enum | Operand { OZero = 0, OOne = 1, OIncomingColor = 2, OOneMinusIncomingColor = 3, OFbufferColor = 4, OOneMinusFbufferColor = 5, OIncomingAlpha = 6, OOneMinusIncomingAlpha = 7, OFbufferAlpha = 8, OOneMinusFbufferAlpha = 9, OConstantColor = 10, OOneMinusConstantColor = 11, OConstantAlpha = 12, OOneMinusConstantAlpha = 13, OIncomingColorSaturate = 14, OColorScale = 15, OOneMinusColorScale = 16, OAlphaScale = 17, OOneMinusAlphaScale = 18 }
## Public Member Functions
VBase4 | getColor ()
| Returns the constant color associated with the attrib.
Mode | getMode ()
| Returns the colorBlend mode.
Operand | getOperandA ()
| Returns the multiplier for the first component.
Operand | getOperandB ()
| Returns the multiplier for the second component.
bool | involvesColorScale ()
| Returns true if the this attrib uses the color scale attrib, false otherwise.
bool | involvesConstantColor ()
| Returns true if the this attrib uses the constant color, false otherwise.
## Static Public Member Functions
static int | getClassSlot ()
static TypeHandle | getClassType ()
static bool | involvesColorScale (Operand operand)
| Returns true if the indicated operand uses the color scale attrib, false otherwise.
static bool | involvesConstantColor (Operand operand)
| Returns true if the indicated operand uses the constant color, false otherwise.
static RenderAttrib const | make (Mode mode, Operand a, Operand b, VBase4 const color)
| Constructs a new ColorBlendAttrib object that enables special-effect blending.
static RenderAttrib const | make (Mode mode, Operand a, Operand b)
| Constructs a new ColorBlendAttrib object that enables special-effect blending.
static RenderAttrib const | make (Mode mode)
| Constructs a new ColorBlendAttrib object.
static RenderAttrib const | makeDefault ()
| Returns a RenderAttrib that corresponds to whatever the standard default properties for render attributes of this type ought to be.
static RenderAttrib const | makeOff ()
| Constructs a new ColorBlendAttrib object that disables special-effect blending, allowing normal transparency to be used instead.

## Detailed Description

This specifies how colors are blended into the frame buffer, for special effects.

This overrides transparency if transparency is also specified.

## Member Enumeration Documentation

enum Mode

Enumerator:

  MNone |
  MAdd |
  MSubtract |
  MInvSubtract |
  MMin |
  MMax |

enum Operand

Enumerator:

  OZero |
  OOne |
  OIncomingColor |
  OOneMinusIncomingColor |
  OFbufferColor |
  OOneMinusFbufferColor |
  OIncomingAlpha |
  OOneMinusIncomingAlpha |
  OFbufferAlpha |
  OOneMinusFbufferAlpha |
  OConstantColor |
  OOneMinusConstantColor |
  OConstantAlpha |
  OOneMinusConstantAlpha |
  OIncomingColorSaturate |
  OColorScale |
  OOneMinusColorScale |
  OAlphaScale |
  OOneMinusAlphaScale |

## Member Function Documentation

static int getClassSlot | ( |  | ) | `[static]`

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from RenderAttrib.

VBase4 getColor | ( |  | ) |

Returns the constant color associated with the attrib.

Mode getMode | ( |  | ) |

Returns the colorBlend mode.

Operand getOperandA | ( |  | ) |

Returns the multiplier for the first component.

Operand getOperandB | ( |  | ) |

Returns the multiplier for the second component.

static bool involvesColorScale | ( | Operand | operand | ) | `[static]`

Returns true if the indicated operand uses the color scale attrib, false otherwise.

bool involvesColorScale | ( |  | ) |

Returns true if the this attrib uses the color scale attrib, false otherwise.

static bool involvesConstantColor | ( | Operand | operand | ) | `[static]`

Returns true if the indicated operand uses the constant color, false otherwise.

bool involvesConstantColor | ( |  | ) |

Returns true if the this attrib uses the constant color, false otherwise.

static RenderAttrib const make | ( | Mode | mode | ) | `[static]`

Constructs a new ColorBlendAttrib object.

This constructor is deprecated; use the one below, which takes three or four parameters, instead.

static RenderAttrib const make | ( | Mode | mode,
|  | Operand | a,
|  | Operand | b
| ) |  | `[static]`

Constructs a new ColorBlendAttrib object that enables special-effect blending.

This supercedes transparency.

static RenderAttrib const make | ( | Mode | mode,
|  | Operand | a,
|  | Operand | b,
|  | VBase4 const | color
| ) |  | `[static]`

Constructs a new ColorBlendAttrib object that enables special-effect blending.

This supercedes transparency.

static RenderAttrib const makeDefault | ( |  | ) | `[static]`

Returns a RenderAttrib that corresponds to whatever the standard default properties for render attributes of this type ought to be.

static RenderAttrib const makeOff | ( |  | ) | `[static]`

Constructs a new ColorBlendAttrib object that disables special-effect blending, allowing normal transparency to be used instead.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties